Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ffdf::/16
First address
ffdf::
Last address
ffdf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ffdf:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
f.d.f.f.ip6.arpa
Split into smaller subnets/24

ffdf::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1ffdf::/24ffdf:ff:ffff:ffff:ffff:ffff:ffff:ffff
2ffdf:100::/24ffdf:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3ffdf:200::/24ffdf:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4ffdf:300::/24ffdf:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5ffdf:400::/24ffdf:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6ffdf:500::/24ffdf:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7ffdf:600::/24ffdf:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8ffdf:700::/24ffdf:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9ffdf:800::/24ffdf:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10ffdf:900::/24ffdf:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11ffdf:a00::/24ffdf:aff:ffff:ffff:ffff:ffff:ffff:ffff
12ffdf:b00::/24ffdf:bff:ffff:ffff:ffff:ffff:ffff:ffff
13ffdf:c00::/24ffdf:cff:ffff:ffff:ffff:ffff:ffff:ffff
14ffdf:d00::/24ffdf:dff:ffff:ffff:ffff:ffff:ffff:ffff
15ffdf:e00::/24ffdf:eff:ffff:ffff:ffff:ffff:ffff:ffff
16ffdf:f00::/24ffdf:fff:ffff:ffff:ffff:ffff:ffff:ffff
17ffdf:1000::/24ffdf:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18ffdf:1100::/24ffdf:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19ffdf:1200::/24ffdf:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20ffdf:1300::/24ffdf:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21ffdf:1400::/24ffdf:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22ffdf:1500::/24ffdf:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23ffdf:1600::/24ffdf:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24ffdf:1700::/24ffdf:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25ffdf:1800::/24ffdf:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26ffdf:1900::/24ffdf:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27ffdf:1a00::/24ffdf:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28ffdf:1b00::/24ffdf:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29ffdf:1c00::/24ffdf:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30ffdf:1d00::/24ffdf:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31ffdf:1e00::/24ffdf:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32ffdf:1f00::/24ffdf:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33ffdf:2000::/24ffdf:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34ffdf:2100::/24ffdf:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35ffdf:2200::/24ffdf:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36ffdf:2300::/24ffdf:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37ffdf:2400::/24ffdf:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38ffdf:2500::/24ffdf:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39ffdf:2600::/24ffdf:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40ffdf:2700::/24ffdf:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41ffdf:2800::/24ffdf:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42ffdf:2900::/24ffdf:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43ffdf:2a00::/24ffdf:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44ffdf:2b00::/24ffdf:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45ffdf:2c00::/24ffdf:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46ffdf:2d00::/24ffdf:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47ffdf:2e00::/24ffdf:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48ffdf:2f00::/24ffdf:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49ffdf:3000::/24ffdf:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50ffdf:3100::/24ffdf:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51ffdf:3200::/24ffdf:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52ffdf:3300::/24ffdf:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53ffdf:3400::/24ffdf:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54ffdf:3500::/24ffdf:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55ffdf:3600::/24ffdf:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56ffdf:3700::/24ffdf:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57ffdf:3800::/24ffdf:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58ffdf:3900::/24ffdf:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59ffdf:3a00::/24ffdf:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60ffdf:3b00::/24ffdf:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61ffdf:3c00::/24ffdf:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62ffdf:3d00::/24ffdf:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63ffdf:3e00::/24ffdf:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64ffdf:3f00::/24ffdf:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65ffdf:4000::/24ffdf:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66ffdf:4100::/24ffdf:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67ffdf:4200::/24ffdf:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68ffdf:4300::/24ffdf:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69ffdf:4400::/24ffdf:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70ffdf:4500::/24ffdf:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71ffdf:4600::/24ffdf:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72ffdf:4700::/24ffdf:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73ffdf:4800::/24ffdf:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74ffdf:4900::/24ffdf:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75ffdf:4a00::/24ffdf:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76ffdf:4b00::/24ffdf:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77ffdf:4c00::/24ffdf:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78ffdf:4d00::/24ffdf:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79ffdf:4e00::/24ffdf:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80ffdf:4f00::/24ffdf:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81ffdf:5000::/24ffdf:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82ffdf:5100::/24ffdf:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83ffdf:5200::/24ffdf:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84ffdf:5300::/24ffdf:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85ffdf:5400::/24ffdf:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86ffdf:5500::/24ffdf:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87ffdf:5600::/24ffdf:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88ffdf:5700::/24ffdf:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89ffdf:5800::/24ffdf:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90ffdf:5900::/24ffdf:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91ffdf:5a00::/24ffdf:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92ffdf:5b00::/24ffdf:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93ffdf:5c00::/24ffdf:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94ffdf:5d00::/24ffdf:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95ffdf:5e00::/24ffdf:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96ffdf:5f00::/24ffdf:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97ffdf:6000::/24ffdf:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98ffdf:6100::/24ffdf:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99ffdf:6200::/24ffdf:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100ffdf:6300::/24ffdf:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101ffdf:6400::/24ffdf:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102ffdf:6500::/24ffdf:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103ffdf:6600::/24ffdf:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104ffdf:6700::/24ffdf:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105ffdf:6800::/24ffdf:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106ffdf:6900::/24ffdf:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107ffdf:6a00::/24ffdf:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108ffdf:6b00::/24ffdf:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109ffdf:6c00::/24ffdf:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110ffdf:6d00::/24ffdf:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111ffdf:6e00::/24ffdf:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112ffdf:6f00::/24ffdf:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113ffdf:7000::/24ffdf:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114ffdf:7100::/24ffdf:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115ffdf:7200::/24ffdf:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116ffdf:7300::/24ffdf:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117ffdf:7400::/24ffdf:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118ffdf:7500::/24ffdf:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119ffdf:7600::/24ffdf:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120ffdf:7700::/24ffdf:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121ffdf:7800::/24ffdf:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122ffdf:7900::/24ffdf:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123ffdf:7a00::/24ffdf:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124ffdf:7b00::/24ffdf:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125ffdf:7c00::/24ffdf:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126ffdf:7d00::/24ffdf:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127ffdf:7e00::/24ffdf:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128ffdf:7f00::/24ffdf:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129ffdf:8000::/24ffdf:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130ffdf:8100::/24ffdf:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131ffdf:8200::/24ffdf:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132ffdf:8300::/24ffdf:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133ffdf:8400::/24ffdf:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134ffdf:8500::/24ffdf:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135ffdf:8600::/24ffdf:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136ffdf:8700::/24ffdf:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137ffdf:8800::/24ffdf:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138ffdf:8900::/24ffdf:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139ffdf:8a00::/24ffdf:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140ffdf:8b00::/24ffdf:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141ffdf:8c00::/24ffdf:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142ffdf:8d00::/24ffdf:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143ffdf:8e00::/24ffdf:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144ffdf:8f00::/24ffdf:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145ffdf:9000::/24ffdf:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146ffdf:9100::/24ffdf:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147ffdf:9200::/24ffdf:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148ffdf:9300::/24ffdf:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149ffdf:9400::/24ffdf:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150ffdf:9500::/24ffdf:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151ffdf:9600::/24ffdf:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152ffdf:9700::/24ffdf:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153ffdf:9800::/24ffdf:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154ffdf:9900::/24ffdf:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155ffdf:9a00::/24ffdf:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156ffdf:9b00::/24ffdf:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157ffdf:9c00::/24ffdf:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158ffdf:9d00::/24ffdf:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159ffdf:9e00::/24ffdf:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160ffdf:9f00::/24ffdf:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161ffdf:a000::/24ffdf:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162ffdf:a100::/24ffdf:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163ffdf:a200::/24ffdf:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164ffdf:a300::/24ffdf:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165ffdf:a400::/24ffdf:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166ffdf:a500::/24ffdf:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167ffdf:a600::/24ffdf:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168ffdf:a700::/24ffdf:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169ffdf:a800::/24ffdf:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170ffdf:a900::/24ffdf:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171ffdf:aa00::/24ffdf:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172ffdf:ab00::/24ffdf:abff:ffff:ffff:ffff:ffff:ffff:ffff
173ffdf:ac00::/24ffdf:acff:ffff:ffff:ffff:ffff:ffff:ffff
174ffdf:ad00::/24ffdf:adff:ffff:ffff:ffff:ffff:ffff:ffff
175ffdf:ae00::/24ffdf:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176ffdf:af00::/24ffdf:afff:ffff:ffff:ffff:ffff:ffff:ffff
177ffdf:b000::/24ffdf:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178ffdf:b100::/24ffdf:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179ffdf:b200::/24ffdf:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180ffdf:b300::/24ffdf:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181ffdf:b400::/24ffdf:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182ffdf:b500::/24ffdf:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183ffdf:b600::/24ffdf:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184ffdf:b700::/24ffdf:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185ffdf:b800::/24ffdf:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186ffdf:b900::/24ffdf:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187ffdf:ba00::/24ffdf:baff:ffff:ffff:ffff:ffff:ffff:ffff
188ffdf:bb00::/24ffdf:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189ffdf:bc00::/24ffdf:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190ffdf:bd00::/24ffdf:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191ffdf:be00::/24ffdf:beff:ffff:ffff:ffff:ffff:ffff:ffff
192ffdf:bf00::/24ffdf:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193ffdf:c000::/24ffdf:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194ffdf:c100::/24ffdf:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195ffdf:c200::/24ffdf:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196ffdf:c300::/24ffdf:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197ffdf:c400::/24ffdf:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198ffdf:c500::/24ffdf:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199ffdf:c600::/24ffdf:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200ffdf:c700::/24ffdf:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201ffdf:c800::/24ffdf:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202ffdf:c900::/24ffdf:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203ffdf:ca00::/24ffdf:caff:ffff:ffff:ffff:ffff:ffff:ffff
204ffdf:cb00::/24ffdf:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205ffdf:cc00::/24ffdf:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206ffdf:cd00::/24ffdf:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207ffdf:ce00::/24ffdf:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208ffdf:cf00::/24ffdf:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209ffdf:d000::/24ffdf:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210ffdf:d100::/24ffdf:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211ffdf:d200::/24ffdf:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212ffdf:d300::/24ffdf:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213ffdf:d400::/24ffdf:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214ffdf:d500::/24ffdf:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215ffdf:d600::/24ffdf:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216ffdf:d700::/24ffdf:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217ffdf:d800::/24ffdf:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218ffdf:d900::/24ffdf:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219ffdf:da00::/24ffdf:daff:ffff:ffff:ffff:ffff:ffff:ffff
220ffdf:db00::/24ffdf:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221ffdf:dc00::/24ffdf:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222ffdf:dd00::/24ffdf:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223ffdf:de00::/24ffdf:deff:ffff:ffff:ffff:ffff:ffff:ffff
224ffdf:df00::/24ffdf:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225ffdf:e000::/24ffdf:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226ffdf:e100::/24ffdf:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227ffdf:e200::/24ffdf:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228ffdf:e300::/24ffdf:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229ffdf:e400::/24ffdf:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230ffdf:e500::/24ffdf:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231ffdf:e600::/24ffdf:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232ffdf:e700::/24ffdf:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233ffdf:e800::/24ffdf:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234ffdf:e900::/24ffdf:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235ffdf:ea00::/24ffdf:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236ffdf:eb00::/24ffdf:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237ffdf:ec00::/24ffdf:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238ffdf:ed00::/24ffdf:edff:ffff:ffff:ffff:ffff:ffff:ffff
239ffdf:ee00::/24ffdf:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240ffdf:ef00::/24ffdf:efff:ffff:ffff:ffff:ffff:ffff:ffff
241ffdf:f000::/24ffdf:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242ffdf:f100::/24ffdf:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243ffdf:f200::/24ffdf:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244ffdf:f300::/24ffdf:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245ffdf:f400::/24ffdf:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246ffdf:f500::/24ffdf:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247ffdf:f600::/24ffdf:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248ffdf:f700::/24ffdf:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249ffdf:f800::/24ffdf:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250ffdf:f900::/24ffdf:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251ffdf:fa00::/24ffdf:faff:ffff:ffff:ffff:ffff:ffff:ffff
252ffdf:fb00::/24ffdf:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253ffdf:fc00::/24ffdf:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254ffdf:fd00::/24ffdf:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255ffdf:fe00::/24ffdf:feff:ffff:ffff:ffff:ffff:ffff:ffff
256ffdf:ff00::/24ffdf:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses